EDIT - feature request #8017

TypeDesignations need sources additional to lectotypifcation sources
01/24/2019 03:40 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.5

Severity: normal

Description

This is especially important for TextualTypeDesignations (#7470) as they are usually a citation from somewhere.

The lectotypification source only defines where a (lecto) type was defined, not where someone took the typification information from.

Related issues:

Related to EDIT - feature request #7470: Verbatim type designation information Closed
Related to EDIT - feature request #7653: [DISCUSS] Delete NameFacts => Resullt... Closed
Related to EDIT - feature request #6581: Make all microreferenced references ... Closed
Related to EDIT - feature request #8139: [Rule] Validate lectotype sources Resolved
Blocks EDIT - feature request #8136: Implement sources for type designations ... Closed
Blocks EDIT - feature request #8137: Implement sources for type designations ... Feedback

Associated revisions

Revision b5c5e6fc - 02/25/2019 08:49 PM - Andreas Miiller

ref #8017 add sources to TypeDesignationBase

Revision eac82784 - 02/25/2019 08:49 PM - Andreas Miiller

ref #8017 add sources to TypeDesignationBase (cont.)

Revision a26edfb3 - 02/25/2019 08:49 PM - Andreas Miiller

ref #8142 update script for Representation.plural and ref #8017 TypeDesignation.sources

Revision 3987e8b8 - 02/25/2019 08:49 PM - Andreas Miiller
ref #8017 add isLectotype to helper class

Revision 3e5f990d - 02/28/2019 01:22 PM - Andreas Miiller
ref #8017 cleanup

Revision fc073f72 - 04/15/2019 03:52 PM - Andreas Miiller

ref #8017 add sources to TypeDesignationBase

Revision 0bc5096d - 04/15/2019 03:52 PM - Andreas Miiller

ref #8017 add sources to TypeDesignationBase (cont.)

Revision fd87156d - 04/15/2019 03:52 PM - Andreas Miiller

ref #8142 update script for Representation.plural and ref #8017 TypeDesignation.sources

Revision 4e916595 - 04/15/2019 03:52 PM - Andreas Miiller
ref #8017 add isLectotype to helper class

Revision 767613e2 - 04/15/2019 03:53 PM - Andreas Miiller
ref #8017 cleanup
https://dev.e-taxonomy.eu/redmine/issues/7470

History

#1 - 01/24/2019 03:40 PM - Andreas Miiller

- Related to feature request #7470: Verbatim type designation information added

#2 - 02/18/2019 10:34 PM - Andreas Miiller

- Status changed from New to In Progress

#3 - 02/24/2019 01:00 PM - Andreas Miiller

- Subject changed from TypeDesignations need sources addtitional to lectotypifcation sources to TypeDesignations need sources additional to
lectotypifcation sources

#4 - 02/24/2019 01:01 PM - Andreas Miiller
- Related to feature request #7653: [DISCUSS] Delete NameFacts => Result: no added

#5 - 02/24/2019 01:04 PM - Andreas Miuller

- Blocks feature request #8136: Implement sources for type designations in TaxEditor added

#6 - 02/24/2019 01:11 PM - Andreas Miuller

- Blocks feature request #8137: Implement sources for type designations in data portal added

#7 - 02/24/2019 01:35 PM - Andreas Miiller

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#8 - 02/25/2019 02:11 PM - Andreas Miiller
- Related to feature request #8139: [Rule] Validate lectotype sources added

#9 - 02/25/2019 02:48 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

We may also want to rename the existing "citation" attribute. This will be doen within #6581

#10 - 04/11/2019 11:34 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
